--- fedora-deployment-guide_Users_and_Groups_fr1.po	2011-08-29 21:46:53.579479079 +0200
+++ fedora-deployment-guide_Users_and_Groups_fr2.po	2011-08-30 19:47:21.705853881 +0200
@@ -135,11 +135,11 @@
 msgid ""
 "<primary> <command>system-config-users</command> </primary> <see>user "
 "configuration and group configuration</see>"
 msgstr ""
 "<primary> <command>system-config-users</command> </primary> <see>"
-"configuration de l'utilisateur et configuration du groupe</see>"
+"configuration de l'utilisateur et du groupe</see>"
 
 #. Tag: indexterm
 #, no-c-format
 msgid ""
 "<primary>user configuration</primary> <secondary>viewing list of "
@@ -171,11 +171,11 @@
 msgid ""
 "The <application>User Manager</application> allows you to view, modify, add,"
 " and delete local users and groups."
 msgstr ""
 "Le <application>gestionnaire d'utilisateurs</application> vous permet d'afficher, modifier, "
-"ajouter et supprimer des utilisateurs et des groupes Locaux."
+"ajouter et supprimer des utilisateurs et des groupes locaux."
 
 #. Tag: title
 #, no-c-format
 msgid "The GNOME <application>User Manager</application>"
 msgstr "Le <application>Gestionnaire d'utilisateurs</application> GNOME"
@@ -200,14 +200,14 @@
 msgstr ""
 "Vous pouvez démarrer le <application>Gestionnaire d'utilisateurs</application> en cliquant sur "
 "<menuchoice><guimenu>Système</guimenu> "
 "<guimenuitem>Administration</guimenuitem> <guimenuitem>Utilisateurs et "
 "groupes</guimenuitem> </menuchoice>. Vous pouvez aussi entrer la commande <command"
-">system-config-users</command> dans une console pour lancer le "
+">system-config-users</command> à l'invite du shell pour lancer le "
 "<application>Gestionnaire d'utilisateurs</application>. L'affichage et la modification des "
 "propriétés de l'utilisateur ou du groupe nécessite les privilèges de l'administrateur. Si vous n'êtes pas "
-"l'administrateur lorsque vous lancer le <application>Gestionnaire d'utilisateurs</application>, il vous sera "
+"l'administrateur lorsque vous lancez le <application>Gestionnaire d'utilisateurs</application>, il vous sera "
 "demandé le mot de passe administrateur."
 
 #. Tag: indexterm
 #, no-c-format
 msgid ""
@@ -269,11 +269,11 @@
 "view all users, including the system users, go to "
 "<guimenuitem>Edit</guimenuitem> &gt; <guimenuitem>Preferences</guimenuitem> "
 "and uncheck <guimenuitem>Hide system users and groups</guimenuitem> from the"
 " dialog box."
 msgstr ""
-"&MAJOROS; les ID utilisateur en dessous de 500 sont réservés pour les utilisateurs système. "
+"&MAJOROS; les identifiant utilisateur en dessous de 500 sont réservés pour les utilisateurs système. "
 "Par défaut le <application>Gestionnaire d'utilisateurs</application> n'affiche pas les utilisateurs système. "
 "pour afficher tous les utilisateurs, y compris ceux du système, allez sur "
 "<guimenuitem>Éditer</guimenuitem> &gt; <guimenuitem>Préférences</guimenuitem> "
 "et décochez la case <guimenuitem>Masque les utilisateurs et les groupes du système</guimenuitem> "
 "dans la boite de dialogue."
@@ -298,11 +298,11 @@
 "username and full name for the new user in the appropriate fields. Type the "
 "user's password in the <guilabel>Password</guilabel> and <guilabel>Confirm "
 "Password</guilabel> fields. The password must be at least six characters."
 msgstr ""
 "Pour ajouter un utilisateur cliquez sur le bouton <guibutton>Ajouter un utilisateur</guibutton>. "
-"Une fenêtre comme celle-ci <xref linkend=\"user-new-fig\" /> apparait. Inscrivez le "
+"Une fenêtre comme celle-ci <xref linkend=\"user-new-fig\" /> apparaît. Inscrivez le "
 "nom du nouvel utilisateur et son nom complet dans les champs appropriés. Inscrivez le "
 "mot de passe dans les champs <guilabel>Mot de passe</guilabel> et <guilabel>Confirmer "
 "le mot de passe</guilabel>. Le mot de passe doit avoir au moins six caractères."
 
 #. Tag: title
@@ -349,11 +349,11 @@
 msgid ""
 "If you select to create the home directory, default configuration files are "
 "copied from the <filename>/etc/skel/</filename> directory into the new home "
 "directory."
 msgstr ""
-"Si vous choisissez de créer le répertoire « home » , les fichiers de configuration par défaut "
+"Si vous choisissez de créer le répertoire « home », les fichiers de configuration par défaut "
 "du répertoire <filename>/etc/skel/</filename> seront copiés dans ce nouveau répertoire."
 
 #. Tag: para
 #, no-c-format
 msgid ""
@@ -364,13 +364,13 @@
 "you do not want to create this group, unselect <guilabel>Create a private "
 "group for the user</guilabel>."
 msgstr ""
 "&MAJOROS; utilise un schéma <firstterm>groupe d'utilisateurs privés</firstterm> (UPG). Le "
 "schéma UPG n'ajoute ou ne modifie rien dans la manière standard dont "
-"UNIX manipule les groupes; il offre une nouvelle convention. Chaque fois que vous créez un nouvel "
+"UNIX manipule les groupes ; il offre une nouvelle convention. Chaque fois que vous créez un nouvel "
 "utilisateur par défaut, un groupe unique avec le même nom que l'utilisateur est créé. Si "
-"vous ne voulez créer ce groupe, décochez <guilabel>Créer un groupe privé "
+"vous ne voulez pas créer ce groupe, décochez <guilabel>Créer un groupe privé "
 "pour l'utilisateur</guilabel>."
 
 #. Tag: para
 #, no-c-format
 msgid ""
@@ -378,15 +378,15 @@
 "manually</guibutton>. If the option is not selected, the next available user"
 " ID above 500 is assigned to the new user. Because &MAJOROS; reserves user "
 "IDs below 500 for system users, it is not advisable to manually assign user "
 "IDs 1-499."
 msgstr ""
-"Pour affecter une ID à un utilisateur, cocher <guibutton>Spécifier manuellement "
-"l'ID utilisateur</guibutton>. Si cette option n'est pas cochée la prochaine ID utilisateur "
-"après 500 lui est affecté. Parce que &MAJOROS; réserve les ID utilisateur en dessous de "
-"500 pour les utilisateurs système, il n'est pas conseillé d'assigné à un utilisateur "
-"les ID entre 1 et 499."
+"Pour affecter un identifiant à un utilisateur, cocher <guibutton>Spécifier manuellement "
+"l'ID utilisateur</guibutton>. Si cette option n'est pas cochée le prochain identifant utilisateur "
+"après 500 lui est affecté. Parce que &MAJOROS; réserve les identfiants utilisateur en dessous de "
+"500 pour les utilisateurs système, il n'est pas conseillé d'assigner à un utilisateur "
+"les identifiant entre 1 et 499."
 
 #. Tag: para
 #, no-c-format
 msgid "Click <guibutton>OK</guibutton> to create the user."
 msgstr "Cliquez sur <guibutton>Valider</guibutton> pour créer l'utilisateur."
@@ -405,11 +405,11 @@
 #, no-c-format
 msgid ""
 "To configure more advanced user properties, such as password expiration, "
 "modify the user's properties after adding the user."
 msgstr ""
-"Pour configurer davantage de propriétés de l'utilisateur, telles que l'expiration de mot de passe, "
+"Pour configurer d'autres paramètres de l'utilisateur, telles que l'expiration de mot de passe, "
 "modifiez les propriétés de l'utilisateur après l'avoir ajouté."
 
 #. Tag: bridgehead
 #, no-c-format
 msgid "Modifying User Properties"
@@ -542,11 +542,11 @@
 msgstr ""
 "<guilabel>Informations sur le mot de passe</guilabel> — Affiche la dernière date à laquelle "
 "l'utilisateur a modifié son mot de passe. Pour obliger l'utilisateur a modifier son mot de passe "
 "après un certain nombre de jours, cochez <guilabel>Activer l'expiration du mot de passe</guilabel> et "
 "saisir la valeur désirée dans la champ <guilabel>Nombre de jours avant qu'il doive "
-"être modifié : </guilabel>. Le nombre de jour avant que le mot de passe de l'utilisateur "
+"être modifié : </guilabel>. Le nombre de jours avant que le mot de passe de l'utilisateur "
 "expire, celui qui l'avertit qu'il doit modifier son mot de passe et le nombre de jours avant que son compte "
 "devienne inactif peuvent être aussi modifiés."
 
 #. Tag: para
 #, no-c-format
@@ -582,14 +582,14 @@
 "select <guibutton>Specify group ID manually</guibutton> and select the GID. "
 "Note that &MAJOROS; also reserves group IDs lower than 500 for system "
 "groups."
 msgstr ""
 "Pour ajouter un nouveau groupe utilisateur sélectionnez <guibutton>Ajouter un groupe</guibutton> "
-"depuis la barre d'outils. Une fenêtre semblable à <xref linkend=\"group-new-fig\" /> apparait. "
-"Saisissez le nom du nouveau groupe. Pour spécifier un ID de groupe pour ce dernier, "
+"depuis la barre d'outils. Une fenêtre semblable à <xref linkend=\"group-new-fig\" /> apparaît. "
+"Saisissez le nom du nouveau groupe. Pour spécifier un identifiant de groupe pour ce dernier, "
 "cochez <guibutton>Spécifier manuellement l'ID groupe</guibutton> et choisissez le GID. "
-"Veuillez noter que &MAJOROS; réserve aussi les ID inférieurs à 500 pour "
+"Veuillez noter que &MAJOROS; réserve aussi les identifiants inférieurs à 500 pour "
 "les groupes systèmes."
 
 #. Tag: title
 #, no-c-format
 msgid "New Group"
@@ -776,20 +776,20 @@
 msgid ""
 "<command>pwck</command>, <command>grpck</command> — Tools used for the "
 "verification of the password, group, and associated shadow files"
 msgstr ""
 "<command>pwck</command>, <command>grpck</command> — Outils utilisés pour la "
-"vérification du mot de passe, du groupe et des mots de passe cachés associés"
+"vérification du mot de passe, du groupe et des mots de passe masqués associés"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "<command>pwconv</command>, <command>pwunconv</command> — Tools used for the "
 "conversion of passwords to shadow passwords and back to standard passwords"
 msgstr ""
 "<command>pwconv</command>, <command>pwunconv</command> — Outils utilisés pour la "
-"conversion du mot de passe en mot de passe caché et inversement"
+"conversion du mot de passe en mot de passe masqué et inversement"
 
 #. Tag: title
 #, no-c-format
 msgid "Command Line Configuration"
 msgstr "Configuration en ligne de commande"
@@ -822,11 +822,11 @@
 msgid ""
 "If you prefer command line tools or do not have the X Window System "
 "installed, use following to configure users and groups."
 msgstr ""
 "Si vous préférez l'outil en ligne de commande ou si vous n'avez pas "
-"de X Window System installé, utilisez les commandes suivantes pour configurer utilisateurs et groupes."
+"de « X Window System » installé, utilisez les commandes suivantes pour configurer utilisateurs et groupes."
 
 #. Tag: bridgehead
 #, no-c-format
 msgid "Adding a User"
 msgstr "Ajout d'un utilisateur"
@@ -840,11 +840,11 @@
 #, no-c-format
 msgid ""
 "<primary>user configuration</primary> <secondary>command line "
 "configuration</secondary> <tertiary> <command>useradd</command> </tertiary>"
 msgstr ""
-"<primary>configuration de l(utilisateur</primary> <secondary>configuration "
+"<primary>configuration de l'utilisateur</primary> <secondary>configuration "
 "en ligne de commande</secondary> <tertiary> <command>useradd</command> </tertiary>"
 
 #. Tag: para
 #, no-c-format
 msgid ""
@@ -943,11 +943,11 @@
 #, no-c-format
 msgid ""
 "Home directory to be used instead of default "
 "<filename>/home/<replaceable>&lt;username&gt;</replaceable>/</filename>"
 msgstr ""
-"Répertoire personnel devant être utilisé à la plce de celui par défaut "
+"Répertoire personnel devant être utilisé à la place de celui par défaut "
 "<filename>/home/<replaceable>&lt;username&gt;</replaceable>/</filename>"
 
 #. Tag: entry
 #, no-c-format
 msgid "<option>-e</option> <replaceable>&lt;date&gt;</replaceable>"
@@ -971,13 +971,13 @@
 "<userinput>0</userinput> is specified, the account is disabled immediately "
 "after the password expires. If <userinput>-1</userinput> is specified, the "
 "account is not be disabled after the password expires."
 msgstr ""
 "Nombre de jours après que le mot de passe expire jusqu'à ce que le compte soit désactivé. "
-"Si <userinput>0</userinput> est spécifié, le compte est désactivé immédiatement après que "
-"le mot de passe ai expiré. Si <userinput>-1</userinput> est spécifié, le compte n'est pas "
-"désactivé après que le mot de passe ai expiré."
+"Si <userinput>0</userinput> est spécifié, le compte est désactivé immédiatement après l'expiration "
+"du mot de passe. Si <userinput>-1</userinput> est spécifié, le compte n'est pas "
+"désactivé après cette expiration."
 
 #. Tag: entry
 #, no-c-format
 msgid "<option>-g</option> <replaceable>&lt;group-name&gt;</replaceable>"
 msgstr "<option>-g</option> <replaceable>&lt;group-name&gt;</replaceable>"
@@ -1057,11 +1057,11 @@
 #, no-c-format
 msgid ""
 "Create a system account with a UID less than 500 and without a home "
 "directory"
 msgstr ""
-"Entraîne la création d'un compte système avec un ID utilisateur (UID) "
+"Entraîne la création d'un compte système avec un identifiant utilisateur (UID) "
 "inférieur à 500 et sans répertoire personnel."
 
 #. Tag: entry
 #, no-c-format
 msgid "<option>-s</option>"
@@ -1079,11 +1079,11 @@
 
 #. Tag: entry
 #, no-c-format
 msgid "User ID for the user, which must be unique and greater than 499"
 msgstr ""
-"ID utilisateur pour l'utilisateur, qui doit être unique et supérieur à 499."
+"Identifiant pour l'utilisateur (UID), qui doit être unique et supérieur à 499."
 
 #. Tag: bridgehead
 #, no-c-format
 msgid "Adding a Group"
 msgstr "Ajout d'un groupe"
@@ -1163,31 +1163,31 @@
 msgstr "<option>-g</option> <replaceable>&lt;gid&gt;</replaceable>"
 
 #. Tag: entry
 #, no-c-format
 msgid "Group ID for the group, which must be unique and greater than 499"
-msgstr "ID groupe pour le groupe, qui doit être unique et supérieur à 499."
+msgstr "Identifiant pour le groupe (GID), qui doit être unique et supérieur à 499."
 
 #. Tag: entry
 #, no-c-format
 msgid "<option>-K, --key KEY=VALUE</option>"
 msgstr "<option>-K, --key KEY=VALUE</option>"
 
 #. Tag: entry
 #, no-c-format
 msgid "override <code>/etc/login.defs</code> defaults"
-msgstr "ignorer <code>/etc/login.defs</code> par défaut"
+msgstr "remplacer les paramètres par défaut de <code>/etc/login.defs</code>"
 
 #. Tag: entry
 #, no-c-format
 msgid "<option>-o</option>, <option>--non-unique</option>"
 msgstr "<option>-o</option>, <option>--non-unique</option>"
 
 #. Tag: entry
 #, no-c-format
 msgid "allow to create groups with duplicate"
-msgstr "permet de créer des groupe en double"
+msgstr "permet de créer des groupes en double"
 
 #. Tag: entry
 #, no-c-format
 msgid ""
 "<option>-p</option>, <option>--password</option> <option>PASSWORD</option>"
@@ -1201,22 +1201,22 @@
 
 #. Tag: entry
 #, no-c-format
 msgid "Create a system group with a GID less than 500"
 msgstr ""
-"Entraîne la création d'un groupe système avec un ID groupe (GID) inférieur à"
+"Entraîne la création d'un groupe système avec un identifiant groupe (GID) inférieur à"
 " 500."
 
 #. Tag: bridgehead
 #, no-c-format
 msgid "Password Aging"
 msgstr "Expiration du mot de passe"
 
 #. Tag: indexterm
 #, no-c-format
 msgid "<primary>password</primary> <secondary>expire</secondary>"
-msgstr "<primary>mot de passe</primary> <secondary>expirer</secondary>"
+msgstr "<primary>mot de passe</primary> <secondary>expire</secondary>"
 
 #. Tag: indexterm
 #, no-c-format
 msgid "<primary>password</primary> <secondary>aging</secondary>"
 msgstr "<primary>mot de passe</primary> <secondary>expiration</secondary>"
@@ -1430,11 +1430,11 @@
 #, no-c-format
 msgid ""
 "Start the command line Python interpreter with the <command "
 "moreinfo=\"none\">python</command> command. It displays the following:"
 msgstr ""
-"Lancez l'interpréteur en ligne de commande Python avec la commande <command "
+"Lancez l'interpréteur Python avec la commande <command "
 "moreinfo=\"none\">python</command>. Il affiche les informations suivantes : "
 
 #. Tag: screen
 #, no-c-format
 msgid ""
@@ -1492,11 +1492,11 @@
 msgid ""
 "Press <keycap moreinfo=\"none\">Ctrl</keycap>-<keycap "
 "moreinfo=\"none\">D</keycap> to exit the Python interpreter."
 msgstr ""
 "Appuyez  sur <keycap moreinfo=\"none\">Ctrl</keycap>-<keycap "
-"moreinfo=\"none\">D</keycap> pour quitter l'interpréteur de commande Python."
+"moreinfo=\"none\">D</keycap> pour quitter l'interpréteur Python."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "At the shell, enter the following command (replacing <replaceable>&lt"
@@ -1545,12 +1545,12 @@
 "Using a null password, while convenient, is a highly unsecure practice, as "
 "any third party can log in first and access the system using the unsecure "
 "username. Always make sure that the user is ready to log in before unlocking"
 " an account with a null password."
 msgstr ""
-"Utiliser un mot de passe vide, bien que pratique, est une pratique très dangereuse, "
-"et des tiers peuvent se connecter et accéder au système en utilisant "
+"Utiliser un mot de passe vide, bien que pratique, est très dangereux. "
+"Des tiers peuvent se connecter et accéder au système en utilisant "
 "un nom d'utilisateur non sécurisé. Toujours s'assurer que l'utilisateur est prêt à se connecter "
 "avant de débloquer un compte avec un mot de passe vide."
 
 #. Tag: para
 #, no-c-format
@@ -1597,11 +1597,11 @@
 msgid ""
 "The following steps illustrate what happens if the command <command>useradd "
 "juan</command> is issued on a system that has shadow passwords enabled:"
 msgstr ""
 "Les étapes suivantes illustrent ce qui se passe si la commande <command>useradd "
-"juan</command> est lancée sur un système qui a les mots de passe cachés activé : "
+"juan</command> est lancée sur un système qui a les mots de passe masqués activé : "
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "A new line for <computeroutput>juan</computeroutput> is created in "
@@ -1768,12 +1768,12 @@
 #, no-c-format
 msgid ""
 "An <computeroutput>x</computeroutput> appears in the password field "
 "indicating that the system is using shadow group passwords."
 msgstr ""
-"Un <computeroutput>x</computeroutput> apparait dans le champ du mot de passe ce qui "
-"indique que le système utilise des mots de passe cachés pour le groupe."
+"Un <computeroutput>x</computeroutput> apparaît dans le champ du mot de passe ce qui "
+"indique que le système utilise des mots de passe masqués pour le groupe."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "The GID matches the one listed for user "
@@ -1805,11 +1805,11 @@
 msgid ""
 "An exclamation point (<computeroutput>!</computeroutput>) appears in the "
 "password field of the <filename>/etc/gshadow</filename> file, which locks "
 "the group."
 msgstr ""
-"Un point d'exclamation (<computeroutput>!</computeroutput>) apparait dans le "
+"Un point d'exclamation (<computeroutput>!</computeroutput>) apparaît dans le "
 "champ « mot de passe » du fichier <filename>/etc/gshadow</filename>, ce qui verrouille "
 "le groupe."
 
 #. Tag: para
 #, no-c-format
@@ -1879,12 +1879,12 @@
 "At this point, a locked account called <computeroutput>juan</computeroutput>"
 " exists on the system. To activate it, the administrator must next assign a "
 "password to the account using the <command>passwd</command> command and, "
 "optionally, set password aging guidelines."
 msgstr ""
-"A ce moment, un compte verrouillé nommé <computeroutput>juan</computeroutput> "
-"existe sur le système. pour l'activer, l'administrateur doit ensuite lui attribuer "
+"À ce moment, un compte verrouillé nommé <computeroutput>juan</computeroutput> "
+"existe sur le système. Pour l'activer, l'administrateur doit ensuite lui attribuer "
 "un mot de passe en utilisant la commande <command>passwd</command> et, "
 "s'il le souhaite, définir la politique d'expiration du mot de passe."
 
 #. Tag: title
 #, no-c-format
@@ -1915,11 +1915,11 @@
 "linkend=\"s1-users-groups-standard-groups\" /> for a listing of standard "
 "groups."
 msgstr ""
 "<xref linkend=\"tb-users-groups-group-use\" /> affiche la liste des utilisateurs "
 "configurés dans le fichier <filename>/etc/passwd</filename> par "
-"<guilabel>toutes</guilabel> les installation. L'ID du groupe (GID) de cette table "
+"<guilabel>toutes</guilabel> les installations. L'ID du groupe (GID) de cette table "
 "est le <emphasis>groupe primaire</emphasis> de l'utilisateur. Veuillez consulter <xref "
 "linkend=\"s1-users-groups-standard-groups\" /> pour une liste de groupes standards."
 
 #. Tag: entry
 #, no-c-format
@@ -2527,11 +2527,11 @@
 msgstr "31"
 
 #. Tag: entry
 #, no-c-format
 msgid "<command>dev</command>"
-msgstr "<command>dev</command"
+msgstr "<command>dev</command>"
 
 #. Tag: entry
 #, no-c-format
 msgid "rpc"
 msgstr "rpc"
@@ -2607,11 +2607,11 @@
 msgstr "35"
 
 #. Tag: entry
 #, no-c-format
 msgid "<command>libutempter</command>"
-msgstr "<command>libutempter</command"
+msgstr "<command>libutempter</command>"
 
 #. Tag: entry
 #, no-c-format
 msgid "vdsm"
 msgstr "vdsm"
@@ -2712,11 +2712,11 @@
 msgstr "/var/mailman"
 
 #. Tag: entry
 #, no-c-format
 msgid "<command>mailman</command>"
-msgstr "<command>mailman</command"
+msgstr "<command>mailman</command>"
 
 #. Tag: entry
 #, no-c-format
 msgid "gdm"
 msgstr "gdm"
@@ -2752,11 +2752,11 @@
 msgstr "/etc/X11/fs"
 
 #. Tag: entry
 #, no-c-format
 msgid "<command>XFree86-xfs</command>"
-msgstr "<command>XFree86-xfs</command"
+msgstr "<command>XFree86-xfs</command>"
 
 #. Tag: entry
 #, no-c-format
 msgid "pppusers"
 msgstr "pppusers"
@@ -3102,11 +3102,11 @@
 msgstr "(55)"
 
 #. Tag: entry
 #, no-c-format
 msgid "<command>nslcd</command>"
-msgstr "<command>nslcd</command"
+msgstr "<command>nslcd</command>"
 
 #. Tag: entry
 #, no-c-format
 msgid "wine"
 msgstr "wine"
@@ -3307,11 +3307,11 @@
 msgstr "/var/ima"
 
 #. Tag: entry
 #, no-c-format
 msgid "<command>cyrus-imapd</command>"
-msgstr "<command>cyrus-imapd</command"
+msgstr "<command>cyrus-imapd</command>"
 
 #. Tag: entry
 #, no-c-format
 msgid "saslauth"
 msgstr "saslauth"
@@ -3487,11 +3487,11 @@
 msgstr "86"
 
 #. Tag: entry
 #, no-c-format
 msgid "<command>sabayon</command>"
-msgstr "<command>sabayon</command"
+msgstr "<command>sabayon</command>"
 
 #. Tag: entry
 #, no-c-format
 msgid "polkituser"
 msgstr "polkituser"
@@ -3767,11 +3767,11 @@
 msgstr "/usr/share/vhostmd"
 
 #. Tag: entry
 #, no-c-format
 msgid "<command>vhostmd</command>"
-msgstr "<command>vhostmd</command"
+msgstr "<command>vhostmd</command>"
 
 #. Tag: entry
 #, no-c-format
 msgid "usbmuxd"
 msgstr "usbmuxd"
@@ -3782,11 +3782,11 @@
 msgstr "113"
 
 #. Tag: entry
 #, no-c-format
 msgid "<command>usbmuxd</command>"
-msgstr "<command>usbmuxd</command"
+msgstr "<command>usbmuxd</command>"
 
 #. Tag: entry
 #, no-c-format
 msgid "bacula"
 msgstr "bacula"
@@ -3930,11 +3930,11 @@
 #, no-c-format
 msgid ""
 "65534<footnote><para> nfsnobdy is 4294967294 on 64-bit platforms </para> "
 "</footnote>"
 msgstr ""
-"65534<footnote><para> nfsnobdy est 4294967294 sur les plteformes 64-bit </para> "
+"65534<footnote><para> nfsnobdy est 4294967294 sur les plteformes 64-bits </para> "
 "</footnote>"
 
 #. Tag: entry
 #, no-c-format
 msgid "65534"
@@ -4214,13 +4214,13 @@
 "et ajouter des personnes à ce groupe quand ils ont besoin d'accéder aux fichiers de ce "
 "projet. Avec ce schéma traditionnel, la gestion des fichiers est difficile; lorsque quelqu'un "
 "crée un fichier, il est associé au groupe principal à laquelle il appartient. Quand une "
 "personne travaille sur plusieurs projets, il devient difficile d'associer le bon fichier "
 "au bon groupe. Cependant, avec le schéma UPG, les groupes sont automatiquement affectés "
-"aux fichiers créés dans un répertoire avec le <firstterm>setgid</firstterm> bit. The setgid bit "
+"aux fichiers créés dans un répertoire avec le <firstterm>setgid</firstterm> bit. Le setgid bit "
 "rend la gestion des projets du groupe qui ont un répertoire commun plus facile "
-"parce que tout les fichiers qu'un utilisateur crée dans le répertoire sont détenues "
+"parce que tous les fichiers qu'un utilisateur crée dans le répertoire sont détenus "
 "par le groupe à qui appartient le répertoire."
 
 #. Tag: parala 
 #, no-c-format
 msgid ""
@@ -4250,11 +4250,11 @@
 msgid ""
 "To associate the contents of the directory with the "
 "<computeroutput>emacs</computeroutput> group, type:"
 msgstr ""
 "Pour associer le contenu du répertoire avec le groupe "
-"computeroutput>emacs</computeroutput>, saisissez : "
+"<computeroutput>emacs</computeroutput>, saisissez : "
 
 #. Tag: screen
 #, no-c-format
 msgid ""
 "\n"
@@ -4343,11 +4343,11 @@
 "new files."
 msgstr ""
 "Maintenant, parce que l'umask par défaut de chaque utilisateur est 002, tous les membres du "
 "groupe <computeroutput>emacs</computeroutput> peuvent créer et éditer les fichiers du "
 "répertoire <filename>/usr/share/emacs/site-lisp/</filename> sans que l'administrateur "
-"ai à modifier les permissions du fichier à chaque fois qu'un utilisateur "
+"n'ait à modifier les permissions du fichier à chaque fois qu'un utilisateur "
 "en écrit de nouveaux."
 
 #. Tag: para
 #, no-c-format
 msgid ""
@@ -4392,22 +4392,22 @@
 "passwords</firstterm> (provided by the <filename>shadow-utils</filename> "
 "package). Doing so enhances the security of system authentication files. For"
 " this reason, the installation program enables shadow passwords by default."
 msgstr ""
 "dans un environnement multi-utilisateurs il est très important d'utiliser des <firstterm>mots de passe "
-"cachés</firstterm> (fourni par le paquet <filename>shadow-utils</filename>). "
+"masqués</firstterm> (fourni par le paquet <filename>shadow-utils</filename>). "
 "Cela améliore la sécurité des fichiers d'authentification du système. Pour cette "
 "raison le programme d'installation active les mots de passe masqués par défaut."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "The following list shows the advantages shadow passwords have over the "
 "traditional way of storing passwords on UNIX-based systems:"
 msgstr ""
 "La liste suivante montre quels avantages ont les mots de passe masqués comparés à la "
-"manière traditionnelle de stocker les mots de passe sur les systèmes UNIX"
+"manière traditionnelle de stocker les mots de passe sur les systèmes UNIX : "
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "Improves system security by moving encrypted password hashes from the world-"
@@ -4440,12 +4440,12 @@
 "work properly whether or not shadow passwords are enabled. However, since "
 "password aging information is stored exclusively in the "
 "<filename>/etc/shadow</filename> file, any commands which create or modify "
 "password aging information do not work."
 msgstr ""
-"La plupart des utilitaires fournit par le paquet <filename>shadow-utils</filename> "
-"fonctionne correctement que les mots de passe cachés soient activés ou non. De toute façon, "
+"La plupart des utilitaires fournis par le paquet <filename>shadow-utils</filename> "
+"fonctionne correctement que les mots de passe masqués soient activés ou non. De toute façon, "
 "depuis que les informations sur l'expiration des mots de passe sont stockés dans le fichier "
 "<filename>/etc/shadow</filename>, toutes les commandes visant à créer ou modifier les "
 "informations sur l'expiration des mots de passe ne fonctionnent plus."
 
 #. Tag: para
@@ -4496,11 +4496,11 @@
 msgstr "<primary>groupes</primary> <secondary>ressources supplémentaires</secondary>"
 
 #. Tag: indexterm
 #, no-c-format
 msgid "<primary>users</primary> <secondary>additional resources</secondary>"
-msgstr "<primary>utilisateurss</primary> <secondary>ressources supplémentaires</secondary>"
+msgstr "<primary>utilisateurs</primary> <secondary>ressources supplémentaires</secondary>"
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "For more information about users and groups, and tools to manage them, refer"
@@ -4607,20 +4607,20 @@
 #, no-c-format
 msgid ""
 "<command>man pwconv</command> — A tool to convert standard passwords to "
 "shadow passwords."
 msgstr ""
-"<command>man pwconv</command> — Un outils pour convertir les mots de passe standards "
+"<command>man pwconv</command> — Un outil pour convertir les mots de passe standards "
 "en mots de passe masqués."
 
 #. Tag: para
 #, no-c-format
 msgid ""
 "<command>man pwunconv</command> — A tool to convert shadow passwords to "
 "standard passwords."
 msgstr ""
-"<command>man pwunconv</command> — Un outils pour convertir les mots de passe masqués "
+"<command>man pwunconv</command> — Un outil pour convertir les mots de passe masqués "
 "en mots de passe standards"
 
 #. Tag: para
 #, no-c-format
 msgid "<command>man useradd</command> — A command to add users."