--- Original/for_translation_setroubleshoot_plugins_fr.po	2012-05-14 14:19:24.504771243 +1000
+++ Translation/for_translation_setroubleshoot_plugins_fr.po	2012-05-30 16:22:51.418958513 +1000
@@ -1,7 +1,6 @@
-# SOME DESCRIPTIVE TITLE.
 # Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
 # This file is distributed under the same license as the PACKAGE package.
-# 
+#
 # Translators:
 # Charles-Antoine Couret <cacouret@wanadoo.fr>, 2009.
 # Corina Roe <croe@redhat.com>, 2008.
@@ -9,7 +8,7 @@
 # Decroux Fabien <fdecroux@redhat.com>, 2006.
 # Mathieu Schopfer <mat.schopfer@bluewin.ch>, 2008.
 # ratal <aymeric.rateau@gmail.com>, 2009.
-# Sam Friedmann <sam.friedmann@redhat.com>, 2010.
+# Sam Friedmann <sam.friedmann@redhat.com>, 2010, 2012.
 # Thomas Canniot <mrtom@fedoraproject.org>, 2010.
 # Thomas Canniot <thomas.canniot@laposte.net>, 2007.
 msgid ""
@@ -17,14 +16,15 @@
 "Project-Id-Version: setroubleshoot\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2012-03-13 09:24-0400\n"
-"PO-Revision-Date: 2012-03-13 13:25+0000\n"
-"Last-Translator: dwalsh <dwalsh@redhat.com>\n"
-"Language-Team: French <trans-fr@lists.fedoraproject.org>\n"
+"PO-Revision-Date: 2012-05-30 16:22+0000\n"
+"Last-Translator: Sam Friedmann <sam.friedmann@redhat.com>\n"
+"Language-Team: French <kde-i18n-doc@kde.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: fr\n"
 "Plural-Forms: nplurals=2; plural=(n > 1)\n"
+"X-Generator: Lokalize 1.0\n"
 
 #: ../src/allow_anon_write.py:27
 msgid ""
@@ -52,17 +52,22 @@
 "    You must also change the default file context labeling files on the system in order to preserve public directory labeling even on a full relabel.  \"semanage fcontext -a -t public_content_rw_t <path>\"\n"
 "    "
 msgstr ""
+"\n"
+"    Si les scripts httpd sont autorisés à écrire sur des répertoires publiques, vous devrez activer le booléen $BOOLEAN et modifier le contexte du fichier du répertoire publique sur public_content_rw_t.  Veuillez lire la page man httpd_selinux\n"
+"     afin d'obtenir des informations supplémentaires :\n"
+"    \"setsebool -P $BOOLEAN=1; chcon -t public_content_rw_t <path>\"\n"
+"    Vous devrez aussi modifier les fichiers d'étiquetage du contexte du fichier par défaut du système afin de préserver l'étiquetage des répertoires publiques,  même lors d'un ré-étiquetage complet.  \"semanage fcontext -a -t public_content_rw_t <path>\"\n"
+"    "
 
 #: ../src/allow_anon_write.py:44
-msgid ""
-"you want to allow $SOURCE_PATH to be able to write to shared public content"
-msgstr ""
+msgid "you want to allow $SOURCE_PATH to be able to write to shared public content"
+msgstr "vous souhaitez autoriser à $SOURCE_PATH d'écrire sur un contenu publique partagé"
 
 #: ../src/allow_anon_write.py:45
 msgid ""
 "you need to change the label on $TARGET_PATH to public_content_rw_t, and "
 "potentially turn on the allow_httpd_sys_script_anon_write boolean."
-msgstr ""
+msgstr "vous devez modifier l'étiquette de TARGET_PATH sur public_content_rw_t, vous devrez aussi probablement activer le booléen allow_httpd_sys_script_anon_write."
 
 #: ../src/allow_execheap.py:27
 msgid ""
@@ -100,18 +105,18 @@
 msgid ""
 "you do not think $SOURCE_PATH should need to map heap memory that is both "
 "writable and executable."
-msgstr ""
+msgstr "si vous pensez que $SOURCE_PATH ne devrait pas mapper l'allocation de mémoire sur le tas, qui est accessible en écriture et exécutable à la fois."
 
 #: ../src/allow_execheap.py:51
 msgid "you need to report a bug. This is a potentially dangerous access."
-msgstr ""
+msgstr "vous devrez rapporter un bogue. Cet accès est potentiellement dangereux."
 
 #: ../src/allow_execheap.py:52 ../src/allow_execstack.py:89
 #: ../src/kernel_modules.py:46 ../src/mmap_zero.py:48
 #: ../src/selinuxpolicy.py:46 ../src/setenforce.py:29 ../src/setenforce.py:50
 #: ../src/sys_module.py:30 ../src/sys_module.py:48
 msgid "Contact your security administrator and report this issue."
-msgstr ""
+msgstr "Veuillez contacter l'administrateur de sécutité et rapporter ce problème."
 
 #: ../src/allow_execmod.py:29
 msgid ""
@@ -209,13 +214,15 @@
 msgid ""
 "you do not think $SOURCE_PATH should need to map stack memory that is both "
 "writable and executable."
-msgstr ""
+msgstr "si vous pensez que $SOURCE_PATH ne devrait pas mapper l'allocation de mémoire en piles, qui est accessible en écriture et exécutable à la fois."
 
 #: ../src/allow_execstack.py:88
 msgid ""
 "you need to report a bug. \n"
 "This is a potentially dangerous access."
 msgstr ""
+"vous devrez rapporter un bogue. \n"
+"Cet accès est potentiellement dangereux."
 
 #: ../src/allow_execstack.py:97
 #, python-format
@@ -224,6 +231,9 @@
 "%s\n"
 "should not require execstack"
 msgstr ""
+"si vous croyez que \n"
+"%s\n"
+"ne requiert pas execstack"
 
 #: ../src/allow_execstack.py:106
 #, python-format
@@ -232,11 +242,14 @@
 "Report this as a bug on %s.\n"
 "You can clear the exestack flag by executing:"
 msgstr ""
+"vous devriez supprimer l'indicateur execstack et voir si $SOURCE_PATH fonctionne correctement.\n"
+"Veuillez rapporter ceci en tant que bogue sur %s.\n"
+"Vous pouvez supprimer l'indicateur exestack en exécutant :"
 
 #: ../src/allow_execstack.py:116
 #, python-format
 msgid "execstack -c %s"
-msgstr ""
+msgstr "execstack -c %s"
 
 #: ../src/allow_ftpd_use_cifs.py:29
 msgid ""
@@ -244,6 +257,9 @@
 "    SELinux prevented the ftp daemon from $ACCESS files stored on a CIFS filesystem.\n"
 "    "
 msgstr ""
+"\n"
+"    SELinux a empêché le démon ftp de $ACCESS les fichiers stockés sur un système de fichiers CIFS.\n"
+"    "
 
 #: ../src/allow_ftpd_use_cifs.py:33
 msgid ""
@@ -282,11 +298,11 @@
 
 #: ../src/allow_ftpd_use_cifs.py:62
 msgid "you want to allow ftpd to write to cifs file systems"
-msgstr ""
+msgstr "vous souhaitez autoriser à ftpd d'écrire sur les systèmes de fichiers CIFS"
 
 #: ../src/allow_ftpd_use_cifs.py:63 ../src/allow_ftpd_use_nfs.py:65
 msgid "you must tell SELinux about this"
-msgstr ""
+msgstr "vous devez le faire savoir à SELinux"
 
 #: ../src/allow_ftpd_use_nfs.py:29
 msgid ""
@@ -294,6 +310,9 @@
 "    SELinux prevented the ftp daemon from $ACCESS files stored on a NFS filesystem.\n"
 "    "
 msgstr ""
+"\n"
+"    SELinux a empêché le démon ftp de $ACCESS aux fichiers stockés sur un système de fichiers NFS.\n"
+"    "
 
 #: ../src/allow_ftpd_use_nfs.py:33
 msgid ""
@@ -333,7 +352,7 @@
 
 #: ../src/allow_ftpd_use_nfs.py:64
 msgid "you want to allow ftpd to write to nfs file systems"
-msgstr ""
+msgstr "vous souhaitez autoriser à ftpd d'écrire sur les systèmes de fichiers NFS"
 
 #: ../src/automount_exec_config.py:27
 msgid ""
@@ -359,6 +378,9 @@
 "    If you want to change the file context of $TARGET_PATH so that the automounter can execute it you can execute \"chcon -t bin_t $TARGET_PATH\".  If you want this to survive a relabel, you need to permanently change the file context: execute  \"semanage fcontext -a -t bin_t '$FIX_TARGET_PATH'\".\n"
 "    "
 msgstr ""
+"\n"
+"    Si vous souhaitez modifier le contexte du fichier de $TARGET_PATH de manière à ce qu'automounter puisse l'exécuter, vous pouvez exécuter \"chcon -t bin_t $TARGET_PATH\".  Si vous souhaitez qu'il survive à un ré-étiquetage, vous devrez modifier le contexte du fichier de manière permanente : veuillez exécuter \"semanage fcontext -a -t bin_t '$FIX_TARGET_PATH'\".\n"
+"    "
 
 #: ../src/bind_ports.py:27
 msgid ""
@@ -379,6 +401,14 @@
 "    to bind to $PORT_NUMBER, this could signal an intrusion attempt.\n"
 "    "
 msgstr ""
+"\n"
+"    SELinux a refusé à $SOURCE de se lier à un port réseau $PORT_NUMBER qui ne possède pas de type SELinux lui étant associé.\n"
+"    Si $SOURCE doit être autorisé à écouter le port $PORT_NUMBER, veuillez utiliser la commande <i>semanage</i> pour assigner le port $PORT_NUMBER à un type de port auquel $SOURCE_TYPE peut se lier (%s). \n"
+"    \n"
+"\n"
+"Si $SOURCE n'est pas supposé\n"
+"    se lier au port $PORT_NUMBER, cela pourrait indiquer une tentative d'intrusion.\n"
+"    "
 
 #: ../src/bind_ports.py:38
 #, python-format
@@ -395,6 +425,17 @@
 "If this system is running as an NIS Client, turning on the allow_ypbind boolean may fix the problem.  setsebool -P allow_ypbind=1.\n"
 "    "
 msgstr ""
+"\n"
+"    Si vous souhaitez autoriser à $SOURCE de se lier au port $PORT_NUMBER, vous pouvez exécuter \n"
+"\n"
+"    # semanage port -a -t PORT_TYPE -p %s $PORT_NUMBER\n"
+"    \n"
+"où PORT_TYPE est l'une des valeurs suivantes : %s.\n"
+"\n"
+"    \n"
+"\n"
+"Si ce système est exécuté en tant que client NIS, activer le booléen allow_ypbind pourrait corriger le problème.  setsebool -P allow_ypbind=1.\n"
+"    "
 
 #: ../src/bind_ports.py:51 ../src/connect_ports.py:50
 #, python-format
@@ -402,6 +443,8 @@
 "# semanage port -a -t PORT_TYPE -p %s $PORT_NUMBER\n"
 "    where PORT_TYPE is one of the following: %s."
 msgstr ""
+"# semanage port -a -t PORT_TYPE -p %s $PORT_NUMBER\n"
+"    où PORT_TYPE est l'une des valeurs suivantes : %s."
 
 #: ../src/catchall_boolean.py:32
 msgid ""
@@ -434,24 +477,24 @@
 #: ../src/catchall_boolean.py:60
 #, python-format
 msgid "you want to %s"
-msgstr ""
+msgstr "vous souhaitez %s"
 
 #: ../src/catchall_boolean.py:63
 #, python-format
 msgid "setsebool -P %s %s"
-msgstr ""
+msgstr "setsebool -P %s %s"
 
 #: ../src/catchall_boolean.py:67
 #, python-format
 msgid ""
 "You must tell SELinux about this by enabling the '%s' boolean. You can read "
 "'%s' man page for more details."
-msgstr ""
+msgstr "Vous devez transmettre ceci à SELinux en activant le booléen « %s ». Veuillez lire la page man  « %s » pour obtenir davantage de détails."
 
 #: ../src/catchall_boolean.py:69
 #, python-format
 msgid "You must tell SELinux about this by enabling the '%s'boolean."
-msgstr ""
+msgstr "Vous devez transmettre ceci à SELinux en activant le booléen  « %s »."
 
 #: ../src/catchall_labels.py:28
 #, python-format
@@ -468,7 +511,7 @@
 
 #: ../src/catchall_labels.py:37
 msgid "You need to change the label on $FIX_TARGET_PATH"
-msgstr ""
+msgstr "L'étiquette sur $FIX_TARGET_PATH doit être modifiée."
 
 #: ../src/catchall_labels.py:40
 #, python-format
@@ -478,10 +521,14 @@
 "Then execute: \n"
 "restorecon -v '$FIX_TARGET_PATH'\n"
 msgstr ""
+"# semanage fcontext -a -t FILE_TYPE '$FIX_TARGET_PATH'\n"
+"où FILE_TYPE est l'une des valeurs suivantes : %s. \n"
+"Puis exécutez : \n"
+"restorecon -v '$FIX_TARGET_PATH'\n"
 
 #: ../src/catchall.py:29
 msgid "SELinux is preventing $SOURCE_PATH \"$ACCESS\" access."
-msgstr ""
+msgstr "SELinux empêche l'accès $SOURCE_PATH \"$ACCESS\"."
 
 #: ../src/catchall.py:31
 msgid ""
@@ -510,25 +557,27 @@
 msgid ""
 "you believe that $SOURCE_BASE_PATH should be allowed $ACCESS access on "
 "processes labeled $TARGET_TYPE by default."
-msgstr ""
+msgstr "vous pensez que $SOURCE_BASE_PATH devrait être autorisé à accéder $ACCESS sur les processus étiquetés $TARGET_TYPE par défaut."
 
 #: ../src/catchall.py:52
 msgid ""
 "you believe that $SOURCE_BASE_PATH should have the $ACCESS capability by "
 "default."
-msgstr ""
+msgstr "vous pensez que  $SOURCE_BASE_PATH devrait avoir des capacités $ACCESS par défaut."
 
 #: ../src/catchall.py:53
 msgid ""
 "you believe that $SOURCE_BASE_PATH should be allowed $ACCESS access on the "
 "$TARGET_BASE_PATH $TARGET_CLASS by default."
-msgstr ""
+msgstr "vous pensez que $SOURCE_BASE_PATH devrait être autorisé à accéder $ACCESS sur $TARGET_BASE_PATH $TARGET_CLASS par défaut."
 
 #: ../src/catchall.py:55
 msgid ""
 "You should report this as a bug.\n"
 "You can generate a local policy module to allow this access."
 msgstr ""
+"Vous devriez rapporter ceci en tant que bogue.\n"
+"Vous pouvez générer un module de politique local pour autoriser cet accès."
 
 #: ../src/catchall.py:56
 msgid ""
@@ -536,6 +585,9 @@
 "# grep $SOURCE /var/log/audit/audit.log | audit2allow -M mypol\n"
 "# semodule -i mypol.pp"
 msgstr ""
+"Autoriser cet accès pour le moment en exécutant :\n"
+"# grep $SOURCE /var/log/audit/audit.log | audit2allow -M mypol\n"
+"# semodule -i mypol.pp"
 
 #: ../src/connect_ports.py:27
 msgid ""
@@ -556,6 +608,14 @@
 "    to connect to $PORT_NUMBER, this could signal a intrusion attempt.\n"
 "    "
 msgstr ""
+"\n"
+"    SELinux a refusé que $SOURCE se connecte à un port réseau $PORT_NUMBER qui ne possède pas de type SELinux lui étant associé.\n"
+"    Si $SOURCE doit être autorisé à se connecter au port $PORT_NUMBER, veuillez utiliser la commande <i>semanage</i> pour assigner $PORT_NUMBER à un type de port auquel $SOURCE_TYPE peut se connecter(%s). \n"
+"    \n"
+"\n"
+"Si $SOURCE n'est pas supposé\n"
+"    se connecter au port $PORT_NUMBER, ceci pourrait indiquer une tentative d'intrusion.\n"
+"    "
 
 #: ../src/connect_ports.py:39
 #, python-format
@@ -568,6 +628,13 @@
 "    where PORT_TYPE is one of the following: %s.\n"
 "    "
 msgstr ""
+"\n"
+"    Si vous souhaitez autoriser $SOURCE à se connecter au port $PORT_NUMBER, vous pouvez exécuter \n"
+"\n"
+"    # semanage port -a -t PORT_TYPE -p %s $PORT_NUMBER\n"
+"\n"
+"    où PORT_TYPE est l'une des valeurs suivantes : %s.\n"
+"    "
 
 #: ../src/cvs_data.py:27
 msgid ""
@@ -597,13 +664,14 @@
 
 #: ../src/cvs_data.py:44
 msgid "$TARGET_BASE_PATH should be shared via the cvs daemon"
-msgstr ""
+msgstr "$TARGET_BASE_PATH devrait être partagé via le démon cvs"
 
 #: ../src/cvs_data.py:45 ../src/qemu_file_image.py:49
 msgid "You need to change the label on $TARGET_BASE_PATH'"
-msgstr ""
+msgstr "Vous devez modifier l'étiquette sur $TARGET_BASE_PATH'"
 
 #: ../src/dac_override.py:28
+#, fuzzy
 msgid ""
 "\n"
 "    SELinux is preventing $SOURCE_PATH the \"$ACCESS\" capability. \n"
@@ -681,8 +749,7 @@
 msgstr "\n    Essayez restorecon -v '$TARGET_PATH' or chcon -t SIMILAR_TYPE $TARGET_PATH\n    "
 
 #: ../src/device.py:60
-msgid ""
-"You need to change the label on $TARGET_PATH to a type of a similar device."
+msgid "You need to change the label on $TARGET_PATH to a type of a similar device."
 msgstr ""
 
 #: ../src/device.py:61
@@ -690,6 +757,8 @@
 "# semanage fcontext -a -t SIMILAR_TYPE '$FIX_TARGET_PATH'\n"
 "# restorecon -v '$FIX_TARGET_PATH'"
 msgstr ""
+"# semanage fcontext -a -t SIMILAR_TYPE '$FIX_TARGET_PATH'\n"
+"# restorecon -v '$FIX_TARGET_PATH'"
 
 #: ../src/disable_ipv6.py:30
 msgid ""
@@ -995,8 +1064,7 @@
 msgstr "\n    SELinux a refusé à $SOURCE la capacité d'allouer de l'espace dans la \n    zone mémoire basse du noyau via mmap. \n    La capacité d'allouer cet espace mémoire est configuré par \n    /proc/sys/kernel/mmap_min_addr. Empêcher cette allocation mémoire \n    aide à se protéger contre l'exploitation des bugs du noyau de type \n    'null deref'. Toutes les applications ayant besoin de cet accès devraient \n    déjà avoir une politique de sécurité écrite. Si une application compromise \n    essaie de modifier le noyau, ce message pourrait être généré. Ceci est \n    un problème sérieux. Votre système pourrait très bien être compromis.\n    "
 
 #: ../src/mmap_zero.py:46
-msgid ""
-"you do not think $SOURCE_PATH should need to mmap low memory in the kernel."
+msgid "you do not think $SOURCE_PATH should need to mmap low memory in the kernel."
 msgstr ""
 
 #: ../src/mmap_zero.py:47
@@ -1138,6 +1206,8 @@
 "# semanage fcontext -a -t virt_image_t '$FIX_TARGET_PATH'\n"
 "# restorecon -v '$FIX_TARGET_PATH'"
 msgstr ""
+"# semanage fcontext -a -t virt_image_t '$FIX_TARGET_PATH'\n"
+"# restorecon -v '$FIX_TARGET_PATH'"
 
 #: ../src/qemu_file_image.py:31
 msgid ""
@@ -1270,6 +1340,8 @@
 "# semanage fcontext -a -t samba_share_t '$FIX_TARGET_PATH%s'\n"
 "# restorecon %s -v '$FIX_TARGET_PATH'"
 msgstr ""
+"# semanage fcontext -a -t samba_share_t '$FIX_TARGET_PATH%s'\n"
+"# restorecon %s -v '$FIX_TARGET_PATH'"
 
 #: ../src/selinuxpolicy.py:29
 msgid ""
@@ -1572,8 +1644,7 @@
 msgstr ""
 
 #: ../booleans_trans.py:5
-msgid ""
-"If you want to allow confined web browsers to read home directory content"
+msgid "If you want to allow confined web browsers to read home directory content"
 msgstr ""
 
 #: ../booleans_trans.py:6
@@ -1711,8 +1782,7 @@
 msgstr ""
 
 #: ../booleans_trans.py:33
-msgid ""
-"If you want to allow rgmanager domain to connect to the network using TCP."
+msgid "If you want to allow rgmanager domain to connect to the network using TCP."
 msgstr ""
 
 #: ../booleans_trans.py:34
@@ -1754,8 +1824,7 @@
 msgstr ""
 
 #: ../booleans_trans.py:42
-msgid ""
-"If you want to allow tor daemon to bind tcp sockets to all unreserved ports."
+msgid "If you want to allow tor daemon to bind tcp sockets to all unreserved ports."
 msgstr ""
 
 #: ../booleans_trans.py:43
@@ -1767,8 +1836,7 @@
 msgstr ""
 
 #: ../booleans_trans.py:45
-msgid ""
-"If you want to allow piranha-lvs domain to connect to the network using TCP."
+msgid "If you want to allow piranha-lvs domain to connect to the network using TCP."
 msgstr ""
 
 #: ../booleans_trans.py:46
@@ -1812,8 +1880,7 @@
 msgstr ""
 
 #: ../booleans_trans.py:55
-msgid ""
-"If you want to allow samba to create new home directories (e.g. via PAM)"
+msgid "If you want to allow samba to create new home directories (e.g. via PAM)"
 msgstr ""
 
 #: ../booleans_trans.py:56
@@ -1934,8 +2001,7 @@
 msgstr ""
 
 #: ../booleans_trans.py:80
-msgid ""
-"If you want to allow confined virtual guests to interact with the xserver"
+msgid "If you want to allow confined virtual guests to interact with the xserver"
 msgstr ""
 
 #: ../booleans_trans.py:81
@@ -2222,8 +2288,7 @@
 msgstr ""
 
 #: ../booleans_trans.py:141
-msgid ""
-"If you want to allow confined virtual guests to interact with the sanlock"
+msgid "If you want to allow confined virtual guests to interact with the sanlock"
 msgstr ""
 
 #: ../booleans_trans.py:143
@@ -2305,8 +2370,7 @@
 msgstr ""
 
 #: ../booleans_trans.py:160
-msgid ""
-"If you want to allow logging in and using the system from /dev/console."
+msgid "If you want to allow logging in and using the system from /dev/console."
 msgstr ""
 
 #: ../booleans_trans.py:161
@@ -2314,13 +2378,11 @@
 msgstr ""
 
 #: ../booleans_trans.py:162
-msgid ""
-"If you want to allow fenced domain to connect to the network using TCP."
+msgid "If you want to allow fenced domain to connect to the network using TCP."
 msgstr ""
 
 #: ../booleans_trans.py:163
-msgid ""
-"If you want to allow dhcpc client applications to execute iptables commands"
+msgid "If you want to allow dhcpc client applications to execute iptables commands"
 msgstr ""
 
 #: ../booleans_trans.py:164
@@ -2346,8 +2408,7 @@
 msgstr ""
 
 #: ../booleans_trans.py:169
-msgid ""
-"If you want to allow icecast to connect to all ports, not just sound ports."
+msgid "If you want to allow icecast to connect to all ports, not just sound ports."
 msgstr ""
 
 #: ../booleans_trans.py:170
@@ -2524,8 +2585,7 @@
 msgstr ""
 
 #: ../booleans_trans.py:208
-msgid ""
-"If you want to allow any files/directories to be exported read/only via NFS."
+msgid "If you want to allow any files/directories to be exported read/only via NFS."
 msgstr ""
 
 #: ../booleans_trans.py:209
@@ -2543,3 +2603,5 @@
 #: ../booleans_trans.py:211
 msgid "If you want to allow unprivileged users to execute DDL statement"
 msgstr ""
+
+