diff -x '*.po' -d -urpN libreport.6/src/gui-wizard-gtk/wizard.c libreport.7/src/gui-wizard-gtk/wizard.c
--- libreport.6/src/gui-wizard-gtk/wizard.c	2012-04-20 11:26:27.663976226 +0200
+++ libreport.7/src/gui-wizard-gtk/wizard.c	2012-04-20 11:26:33.791967857 +0200
@@ -38,11 +38,8 @@ typedef struct event_gui_data_t
 } event_gui_data_t;
 
 
-static char *g_analyze_event_selected;
-////static unsigned g_collect_events_selected_count = 0;
-////static char *g_reporter_events_selected;
+static char *g_event_selected;
 static unsigned g_black_event_count = 0;
-////static bool g_last_event_was_analyzer;
 
 static pid_t g_event_child_pid = 0;
 
@@ -50,28 +47,18 @@ static bool g_expert_mode;
 
 static GtkAssistant *g_assistant;
 
-static GtkBox *g_box_analyzers;
+static GtkBox *g_box_events;
 /* List of event_gui_data's */
-static GList *g_list_analyzers;
-static GtkLabel *g_lbl_analyze_log;
-static GtkTextView *g_tv_analyze_log;
-static GtkProgressBar *g_pb_analyze;
-////static GtkButton *g_btn_cancel_analyze;
+static GList *g_list_events;
+static GtkLabel *g_lbl_event_log;
+static GtkTextView *g_tv_event_log;
+static GtkProgressBar *g_pb_event;
 
-////static GtkBox *g_box_collectors;
 /* List of event_gui_data's */
-////static GList *g_list_collectors;
-////static GtkLabel *g_lbl_collect_log;
-////static GtkTextView *g_tv_collect_log;
 
-////static GtkBox *g_box_reporters;
 /* List of event_gui_data's */
-////static GList *g_list_reporters;
 static GList *g_list_selected_reporters;
-static GtkLabel *g_lbl_report_log;
-////static GtkTextView *g_tv_report_log;
-static GtkProgressBar *g_pb_report;
-static GtkButton *g_btn_cancel_report;
+static GtkButton *g_btn_cancel_event;
 
 static GtkContainer *g_container_details1;
 static GtkContainer *g_container_details2;
@@ -85,7 +72,6 @@ static GtkBox *g_box_warning_labels;
 static GtkToggleButton *g_tb_approve_bt;
 static GtkButton *g_btn_add_file;
 
-static GtkLabel *g_lbl_reporters;
 static GtkLabel *g_lbl_size;
 
 static GtkTreeView *g_tv_details;
@@ -93,10 +79,6 @@ static GtkCellRenderer *g_tv_details_ren
 static GtkTreeViewColumn *g_tv_details_col_checkbox;
 //static GtkCellRenderer *g_tv_details_renderer_checkbox;
 static GtkListStore *g_ls_details;
-////static GtkWidget *g_top_most_window;
-
-static GtkLabel *g_active_lbl;
-static GtkProgressBar *g_active_pb;
 
 static GtkBox *g_box_assist_nav;
 static GtkNotebook *g_notebook;
@@ -114,7 +96,7 @@ typedef struct
     GtkTextIter end;
 } search_item_t;
 
-GList *g_search_result_list;
+static GList *g_search_result_list;
 static guint g_current_highlighted_word;
 static bool g_first_highlight = true;
 
@@ -157,12 +139,12 @@ static gint pb_pulse_speed = 150;
  */
 enum {
     PAGENO_SUMMARY,
+    PAGENO_EVENT_SELECTOR,
     PAGENO_EDIT_COMMENT,
-    PAGENO_ANALYZE_SELECTOR,
-    PAGENO_EDIT_BACKTRACE,
+    PAGENO_EDIT_ELEMENTS,
     PAGENO_REVIEW_DATA,
-    PAGENO_REPORT_PROGRESS,
-    PAGENO_REPORT_DONE,
+    PAGENO_EVENT_PROGRESS,
+    PAGENO_EVENT_DONE,
     PAGENO_NOT_SHOWN,
     NUM_PAGES
 };
@@ -171,24 +153,24 @@ enum {
  * allows cheaper page_obj_t->name == PAGE_FOO comparisons
  * instead of strcmp.
  */
-static const gchar PAGE_SUMMARY[]            = "page_0";
-static const gchar PAGE_EDIT_COMMENT[]       = "page_1";
-static const gchar PAGE_ANALYZE_SELECTOR[]   = "page_2_report";
-static const gchar PAGE_EDIT_BACKTRACE[]     = "page_3";
-static const gchar PAGE_REVIEW_DATA[]        = "page_4_report";
-static const gchar PAGE_REPORT_PROGRESS[]    = "page_5_report";
-static const gchar PAGE_REPORT_DONE[]        = "page_6_report";
-static const gchar PAGE_NOT_SHOWN[]          = "page_7_report";
+static const gchar PAGE_SUMMARY[]        = "page_0";
+static const gchar PAGE_EVENT_SELECTOR[] = "page_2_report";
+static const gchar PAGE_EDIT_COMMENT[]   = "page_1";
+static const gchar PAGE_EDIT_ELEMENTS[]  = "page_3";
+static const gchar PAGE_REVIEW_DATA[]    = "page_4_report";
+static const gchar PAGE_EVENT_PROGRESS[] = "page_5_report";
+static const gchar PAGE_EVENT_DONE[]     = "page_6_report";
+static const gchar PAGE_NOT_SHOWN[]      = "page_7_report";
 
 static const gchar *const page_names[] =
 {
     PAGE_SUMMARY,
+    PAGE_EVENT_SELECTOR,
     PAGE_EDIT_COMMENT,
-    PAGE_ANALYZE_SELECTOR,
-    PAGE_EDIT_BACKTRACE,
+    PAGE_EDIT_ELEMENTS,
     PAGE_REVIEW_DATA,
-    PAGE_REPORT_PROGRESS,
-    PAGE_REPORT_DONE,
+    PAGE_EVENT_PROGRESS,
+    PAGE_EVENT_DONE,
     PAGE_NOT_SHOWN,
     NULL
 };
@@ -209,45 +191,6 @@ static struct strbuf *cmd_output = NULL;
 
 /* Utility functions */
 
-static void init_page(page_obj_t *page, const char *name, const char *title, GtkAssistantPageType type)
-{
-   page->name = name;
-   page->title = title;
-   page->type = type;
-}
-
-static void init_pages()
-{
-    /* Page types:
-     * CONTENT: normal page (has all btns: [Cancel] [Last] [Back] [Fwd])
-     * INTRO: only [Fwd] button is shown
-     *   (we use these where we want to suppress [Back]-navigation)
-     * CONFIRM: has [Apply] instead of [Fwd] and emits "apply" signal
-     * PROGRESS: skipped on [Back] navigation
-     * SUMMARY: has only [Close] button
-     *
-     * Note that we suppress [Cancel] everywhere once and for all
-     * using gtk_assistant_commit at init time.
-     */
-    /* glade element name     , on-screen text          , type */
-    init_page(&pages[0], PAGE_SUMMARY            , _("Problem description")   , GTK_ASSISTANT_PAGE_CONTENT );
-    init_page(&pages[1], PAGE_EDIT_COMMENT,_("Provide additional information"), GTK_ASSISTANT_PAGE_CONTENT );
-    init_page(&pages[2], PAGE_ANALYZE_SELECTOR   , _("Select analyzer")       , GTK_ASSISTANT_PAGE_CONFIRM );
-    /* Some reporters don't need backtrace, we can skip bt page for them.
-     * Therefore we want to know reporters _before_ we go to bt page
-     */
-////    init_page(&pages[6], PAGE_REPORTER_SELECTOR  , _("Select reporter")       , GTK_ASSISTANT_PAGE_CONTENT );
-    init_page(&pages[3], PAGE_EDIT_BACKTRACE     , _("Review the data")  , GTK_ASSISTANT_PAGE_CONTENT );
-    init_page(&pages[4], PAGE_REVIEW_DATA        , _("Confirm data to report"), GTK_ASSISTANT_PAGE_CONFIRM );
-    /* Was GTK_ASSISTANT_PAGE_PROGRESS, but we want to allow returning to it */
-    init_page(&pages[5], PAGE_REPORT_PROGRESS    , _("Reporting")             , GTK_ASSISTANT_PAGE_INTRO   );
-    init_page(&pages[6], PAGE_REPORT_DONE        , _("Reporting done")        , GTK_ASSISTANT_PAGE_CONTENT );
-    /* We prevent user from reaching this page, as SUMMARY can't be navigated away
-     * (must be always closed) and we don't want that
-     */
-    init_page(&pages[7], PAGE_NOT_SHOWN          , ""                         , GTK_ASSISTANT_PAGE_SUMMARY );
-}
-
 static void wrap_fixer(GtkWidget *widget, gpointer data_unused)
 {
     if (GTK_IS_CONTAINER(widget))
@@ -728,19 +671,19 @@ static gint find_by_button(gconstpointer
     return (evdata->toggle_button != button);
 }
 
-static void analyze_rb_was_toggled(GtkButton *button, gpointer user_data)
+static void event_rb_was_toggled(GtkButton *button, gpointer user_data)
 {
     /* Note: called both when item is selected and _unselected_,
      * use gtk_toggle_button_get_active() to determine state.
      */
-    GList *found = g_list_find_custom(g_list_analyzers, button, find_by_button);
+    GList *found = g_list_find_custom(g_list_events, button, find_by_button);
     if (found)
     {
         event_gui_data_t *evdata = found->data;
         if (gtk_toggle_button_get_active(evdata->toggle_button))
         {
-            free(g_analyze_event_selected);
-            g_analyze_event_selected = xstrdup(evdata->event_name);
+            free(g_event_selected);
+            g_event_selected = xstrdup(evdata->event_name);
         }
     }
 }
@@ -796,27 +739,20 @@ static event_gui_data_t *add_event_butto
 
     g_black_event_count = 0;
 
-    if (event_name && event_name[0])
-    {
-//        GtkWidget *lbl = gtk_label_new(_("Select how you would like to analyze the problem:"));
-//        gtk_misc_set_alignment(GTK_MISC(lbl), /*x*/ 0.0, /*y*/ 0.5);
-//        //doesn't work right: make_label_autowrap_on_resize(GTK_LABEL(lbl));
-//        gtk_box_pack_start(box, lbl, /*expand*/ true, /*fill*/ false, /*padding*/ 0);
-    }
-    else
+    if (!event_name || !event_name[0])
     {
         GtkWidget *lbl = gtk_label_new(_("No reporting targets are defined for this problem. Check configuration in /etc/libreport/*"));
         gtk_misc_set_alignment(GTK_MISC(lbl), /*x*/ 0.0, /*y*/ 0.0);
         make_label_autowrap_on_resize(GTK_LABEL(lbl));
         gtk_box_pack_start(box, lbl, /*expand*/ true, /*fill*/ false, /*padding*/ 0);
         gtk_assistant_set_page_complete(g_assistant,
-                    pages[PAGENO_ANALYZE_SELECTOR].page_widget,
+                    pages[PAGENO_EVENT_SELECTOR].page_widget,
                     false
         );
         return NULL;
     }
     gtk_assistant_set_page_complete(g_assistant,
-                pages[PAGENO_ANALYZE_SELECTOR].page_widget,
+                pages[PAGENO_EVENT_SELECTOR].page_widget,
                 true
     );
 
@@ -833,13 +769,8 @@ static event_gui_data_t *add_event_butto
         event_config_t *cfg = get_event_config(event_name);
 
         /* Form a pretty text representation of event */
-        /* By default, use event name, just strip "foo_" prefix if it exists: */
-        const char *event_screen_name = event_name; ///strchr(event_name, '_');
-///        if (event_screen_name)
-///            event_screen_name++;
-///        else
-///            event_screen_name = event_name;
-
+        /* By default, use event name: */
+        const char *event_screen_name = event_name;
         const char *event_description = NULL;
         char *tmp_description = NULL;
         bool red_choice = false;
@@ -940,7 +871,7 @@ struct cd_stats {
     unsigned filecount;
 };
 
-static void save_items_from_notepad()
+static void save_items_from_notepad(void)
 {
     gint n_pages = gtk_notebook_get_n_pages(g_notebook);
     int i = 0;
@@ -1047,10 +978,10 @@ static void append_item_to_ls_details(gp
 }
 
 /* Based on selected reporter, update item checkboxes */
-static void update_ls_details_checkboxes()
+static void update_ls_details_checkboxes(void)
 {
-    event_config_t *cfg = get_event_config(g_analyze_event_selected);
-    //log("%s: event:'%s', cfg:'%p'", __func__, g_analyze_event_selected, cfg);
+    event_config_t *cfg = get_event_config(g_event_selected);
+    //log("%s: event:'%s', cfg:'%p'", __func__, g_event_selected, cfg);
     GHashTableIter iter;
     char *name;
     struct problem_item *item;
@@ -1147,22 +1078,22 @@ void update_gui_state_from_problem_data(
 
     load_text_to_text_view(g_tv_comment, FILENAME_COMMENT);
 
-    /* Update analyze radio buttons */
+    /* Update event radio buttons */
     event_gui_data_t *active_button = add_event_buttons(
-                g_box_analyzers,
-                &g_list_analyzers,
+                g_box_events,
+                &g_list_events,
                 g_events,
-                G_CALLBACK(analyze_rb_was_toggled)
+                G_CALLBACK(event_rb_was_toggled)
     );
 
-    /* Update the value of currently selected analyzer */
-    free(g_analyze_event_selected);
-    g_analyze_event_selected = NULL;
+    /* Update the value of currently selected event */
+    free(g_event_selected);
+    g_event_selected = NULL;
     if (active_button)
     {
-        g_analyze_event_selected = xstrdup(active_button->event_name);
+        g_event_selected = xstrdup(active_button->event_name);
     }
-    VERB2 log("g_analyze_event_selected='%s'", g_analyze_event_selected);
+    VERB2 log("g_event_selected='%s'", g_event_selected);
 
     /* We can't just do gtk_widget_show_all once in main:
      * We created new widgets (buttons). Need to make them visible.
@@ -1501,7 +1432,7 @@ static gboolean consume_cmd_output(GIOCh
 
             msg = cmd_output->buf;
             msg += skip_chars;
-            gtk_label_set_text(g_active_lbl, msg);
+            gtk_label_set_text(g_lbl_event_log, msg);
 
             strbuf_append_char(cmd_output, '\n');
             msg = cmd_output->buf;
@@ -1632,9 +1563,9 @@ static gboolean consume_cmd_output(GIOCh
 static gboolean pb_pulse_timeout(gpointer data)
 {
     if (pb_pulse)
-        gtk_progress_bar_pulse(g_active_pb);
+        gtk_progress_bar_pulse(g_pb_event);
     else
-        gtk_widget_hide(GTK_WIDGET(g_active_pb));
+        gtk_widget_hide(GTK_WIDGET(g_pb_event));
     return pb_pulse;
 }
 
@@ -1646,8 +1577,6 @@ static void start_event_run(const char *
                 const char *error_msg,
                 const char *success_msg
 ) {
-////    g_last_event_was_analyzer = (event_name[0] == 'a');
-
     /* Start event asynchronously on the dump dir
      * (synchronous run would freeze GUI until completion)
      */
@@ -1685,8 +1614,8 @@ static void start_event_run(const char *
     }
     g_event_child_pid = state->command_pid;
 
-    if (g_active_pb)
-        gtk_widget_show(GTK_WIDGET(g_active_pb));
+    if (g_pb_event)
+        gtk_widget_show(GTK_WIDGET(g_pb_event));
     pb_pulse = true;
     g_timeout_add(pb_pulse_speed, pb_pulse_timeout, NULL);
 
@@ -1741,13 +1670,13 @@ static void add_warning(const char *warn
     gtk_widget_show(warning_lbl);
 }
 
-static void show_warnings()
+static void show_warnings(void)
 {
     if (g_warning_issued)
         gtk_widget_show(g_widget_warnings_area);
 }
 
-static void clear_warnings()
+static void clear_warnings(void)
 {
     /* erase all warnings */
     gtk_widget_hide(g_widget_warnings_area);
@@ -1816,7 +1745,7 @@ static void check_bt_rating_and_allow_se
     }
 
     gtk_assistant_set_page_complete(g_assistant,
-                                    pages[PAGENO_EDIT_BACKTRACE].page_widget,
+                                    pages[PAGENO_EDIT_ELEMENTS].page_widget,
                                     send);
 }
 
@@ -1859,24 +1788,13 @@ static void on_no_comment_toggled(GtkTog
 }
 
 
-/* Page navigation handlers */
-
-static void next_page(GtkAssistant *assistant, gpointer user_data)
-{
-    /* page_no is actually the previous page, because this
-     * function is called before assistant goes to the next page
-     */
-    int page_no = gtk_assistant_get_current_page(assistant);
-    VERB2 log("page_no:%d", page_no);
-}
-
 static void on_show_event_list_cb(GtkWidget *button, gpointer user_data)
 {
     show_events_list_dialog(GTK_WINDOW(g_assistant));
 }
 
 #if 0
-static void log_ready_state()
+static void log_ready_state(void)
 {
     char buf[NUM_PAGES+1];
     for (int i = 0; i < NUM_PAGES; i++)
@@ -1986,7 +1904,7 @@ static gboolean highligh_word_in_tabs(co
     return found;
 }
 
-static void highlight_forbidden()
+static void highlight_forbidden(void)
 {
     gboolean found = false;
     GList *forbidden_words = load_forbidden_words();
@@ -2004,6 +1922,18 @@ static void highlight_forbidden()
     list_free_with_free(forbidden_words);
 }
 
+
+/* Page navigation handlers */
+
+static void next_page(GtkAssistant *assistant, gpointer user_data)
+{
+    /* page_no is actually the previous page, because this
+     * function is called before assistant goes to the next page
+     */
+    int page_no = gtk_assistant_get_current_page(assistant);
+    VERB2 log("page_no:%d", page_no);
+}
+
 static void on_page_prepare(GtkAssistant *assistant, GtkWidget *page, gpointer user_data)
 {
     //int page_no = gtk_assistant_get_current_page(g_assistant);
@@ -2021,20 +1951,7 @@ static void on_page_prepare(GtkAssistant
     //            pages[PAGENO_REVIEW_DATA].page_widget == page
     //);
 
-////    if (pages[PAGENO_ANALYZE_PROGRESS].page_widget == page)
-////    {
-////        g_active_pb = g_pb_analyze;
-////        g_active_lbl = g_lbl_analyze_log;
-////    }
-
-    if (pages[PAGENO_REPORT_PROGRESS].page_widget == page)
-    {
-///FIXME: eliminate g_active_pb
-        g_active_pb = g_pb_report;
-        g_active_lbl = g_lbl_report_log;
-    }
-
-    if (pages[PAGENO_EDIT_BACKTRACE].page_widget == page)
+    if (pages[PAGENO_EDIT_ELEMENTS].page_widget == page)
     {
         clear_warnings();
         check_bt_rating_and_allow_send();
@@ -2061,9 +1978,6 @@ static void on_page_prepare(GtkAssistant
         gtk_tree_view_column_set_visible(g_tv_details_col_checkbox,
                 (pages[PAGENO_REVIEW_DATA].page_widget == page)
         );
-        //gtk_cell_renderer_set_visible(g_tv_details_renderer_checkbox,
-        //        (pages[PAGENO_REVIEW_DATA].page_widget == page)
-        //);
 
         if (pages[PAGENO_REVIEW_DATA].page_widget == page)
         {
@@ -2075,19 +1989,19 @@ static void on_page_prepare(GtkAssistant
         on_comment_changed(gtk_text_view_get_buffer(g_tv_comment), NULL);
     //log_ready_state();
 
-    if (pages[PAGENO_REPORT_PROGRESS].page_widget == page)
+    if (pages[PAGENO_EVENT_PROGRESS].page_widget == page)
     {
-        VERB2 log("g_analyze_event_selected:'%s'", g_analyze_event_selected);
-        if (g_analyze_event_selected
-         && g_analyze_event_selected[0]
+        VERB2 log("g_event_selected:'%s'", g_event_selected);
+        if (g_event_selected
+         && g_event_selected[0]
         ) {
-            start_event_run(g_analyze_event_selected,
-                    pages[PAGENO_REPORT_PROGRESS].page_widget,
-                    g_tv_analyze_log,
-                    g_lbl_analyze_log,
-                    _("Analyzing..."),
-                    _("Analyzing failed. You can try another analyzer if available."),
-                    _("Analyzing finished. You can proceed to the next step.")
+            start_event_run(g_event_selected,
+                    pages[PAGENO_EVENT_PROGRESS].page_widget,
+                    g_tv_event_log,
+                    g_lbl_event_log,
+                    _("Processing..."),
+                    _("Processing failed. You can try another operation if available."),
+                    _("Processing finished. You can proceed to the next step.")
             );
 
             if (g_auto_event_list)
@@ -2104,7 +2018,7 @@ static gint select_next_page_no(gint cur
     {
         /* In only-report mode, we only need to wrap back at the end */
         GtkWidget *page = gtk_assistant_get_nth_page(g_assistant, current_page_no);
-        if (page == pages[PAGENO_REPORT_DONE].page_widget)
+        if (page == pages[PAGENO_EVENT_DONE].page_widget)
             current_page_no = 0;
         else
             current_page_no++;
@@ -2128,33 +2042,33 @@ static gint select_next_page_no(gint cur
         if (g_expert_mode)
             break;
         VERB2 log("option -e EVENT:'%s'", (char*)g_auto_event_list->data);
-        free(g_analyze_event_selected);
-        g_analyze_event_selected = xstrdup((char*)g_auto_event_list->data);
+        free(g_event_selected);
+        g_event_selected = xstrdup((char*)g_auto_event_list->data);
         /*
          * We don't remove the list element, because GTK calls select_next_page_no()
          * spuriously (for example, it calls it twice for first page).
          */
-        current_page_no = PAGENO_ANALYZE_SELECTOR + 1;
+        current_page_no = PAGENO_EVENT_SELECTOR + 1;
         /* fall through as if event was selected by user */
 
-    case PAGENO_ANALYZE_SELECTOR + 1:
-        if (!g_analyze_event_selected)
+    case PAGENO_EVENT_SELECTOR + 1:
+        if (!g_event_selected)
         {
             /* Go back to selectors */
-            current_page_no = PAGENO_ANALYZE_SELECTOR-1;
+            current_page_no = PAGENO_EVENT_SELECTOR-1;
             goto again;
         }
-        event_config_t *cfg = get_event_config(g_analyze_event_selected);
+        event_config_t *cfg = get_event_config(g_event_selected);
         if (cfg && cfg->ec_skip_review)
         {
-            current_page_no = PAGENO_REPORT_PROGRESS-1;
+            current_page_no = PAGENO_EVENT_PROGRESS-1;
             goto again;
         }
         if (!get_problem_item_content_or_NULL(g_cd, FILENAME_BACKTRACE))
             goto again; /* no backtrace, skip this page */
         break;
 
-    case PAGENO_REPORT_DONE:
+    case PAGENO_EVENT_DONE:
         if (g_auto_event_list)
         {
             /* Go back to selectors */
@@ -2168,7 +2082,7 @@ static gint select_next_page_no(gint cur
             exit(0);
         /* No! this would SEGV (infinitely recurse into select_next_page_no) */
         /*gtk_assistant_commit(g_assistant);*/
-        current_page_no = PAGENO_ANALYZE_SELECTOR-1;
+        current_page_no = PAGENO_EVENT_SELECTOR-1;
         goto again;
     }
 
@@ -2176,6 +2090,8 @@ static gint select_next_page_no(gint cur
     return current_page_no;
 }
 
+
+
 static void highlight_widget(GtkWidget *widget, gpointer *user_data)
 {
     gtk_drag_highlight(widget);
@@ -2186,7 +2102,7 @@ static void unhighlight_widget(GtkWidget
     gtk_drag_unhighlight(widget);
 }
 
-static void unhighlight_current_word()
+static void unhighlight_current_word(void)
 {
     search_item_t *word = NULL;
     word = (search_item_t *)g_list_nth_data(g_search_result_list, g_current_highlighted_word);
@@ -2196,7 +2112,7 @@ static void unhighlight_current_word()
     }
 }
 
-static void highlight_current_word()
+static void highlight_current_word(void)
 {
     search_item_t *word = NULL;
     word = (search_item_t *)g_list_nth_data(g_search_result_list, g_current_highlighted_word);
@@ -2436,7 +2352,7 @@ static gint on_key_press_event_in_item_l
 /* wizard.glade file as a string WIZARD_GLADE_CONTENTS: */
 #include "wizard_glade.c"
 
-static void add_pages()
+static void add_pages(void)
 {
     GError *error = NULL;
     if (!g_glade_file)
@@ -2504,20 +2420,11 @@ static void add_pages()
 
     /* Set pointers to objects we might need to work with */
     g_lbl_cd_reason        = GTK_LABEL(        gtk_builder_get_object(builder, "lbl_cd_reason"));
-    g_box_analyzers        = GTK_BOX(          gtk_builder_get_object(builder, "vb_analyzers"));
-//FIXME: rename to _event_
-    g_lbl_analyze_log      = GTK_LABEL(        gtk_builder_get_object(builder, "lbl_report_log"));
-    g_tv_analyze_log       = GTK_TEXT_VIEW(    gtk_builder_get_object(builder, "tv_report_log"));
-    g_pb_analyze           = GTK_PROGRESS_BAR( gtk_builder_get_object(builder, "pb_report"));
-////    g_btn_cancel_analyze   = GTK_BUTTON(       gtk_builder_get_object(builder, "btn_cancel_analyze"));
-////    g_box_collectors       = GTK_BOX(          gtk_builder_get_object(builder, "vb_collectors"));
-////    g_lbl_collect_log      = GTK_LABEL(        gtk_builder_get_object(builder, "lbl_collect_log"));
-////    g_tv_collect_log       = GTK_TEXT_VIEW(    gtk_builder_get_object(builder, "tv_collect_log"));
-////    g_box_reporters        = GTK_BOX(          gtk_builder_get_object(builder, "vb_reporters"));
-    g_lbl_report_log       = GTK_LABEL(        gtk_builder_get_object(builder, "lbl_report_log"));
-////    g_tv_report_log        = GTK_TEXT_VIEW(    gtk_builder_get_object(builder, "tv_report_log"));
-    g_pb_report            = GTK_PROGRESS_BAR( gtk_builder_get_object(builder, "pb_report"));
-    g_btn_cancel_report    = GTK_BUTTON(       gtk_builder_get_object(builder, "btn_cancel_report"));
+    g_box_events           = GTK_BOX(          gtk_builder_get_object(builder, "vb_events"));
+    g_lbl_event_log        = GTK_LABEL(        gtk_builder_get_object(builder, "lbl_event_log"));
+    g_tv_event_log         = GTK_TEXT_VIEW(    gtk_builder_get_object(builder, "tv_event_log"));
+    g_pb_event             = GTK_PROGRESS_BAR( gtk_builder_get_object(builder, "pb_event"));
+    g_btn_cancel_event     = GTK_BUTTON(       gtk_builder_get_object(builder, "btn_cancel_event"));
     g_tv_comment           = GTK_TEXT_VIEW(    gtk_builder_get_object(builder, "tv_comment"));
     g_eb_comment           = GTK_EVENT_BOX(    gtk_builder_get_object(builder, "eb_comment"));
     g_cb_no_comment        = GTK_CHECK_BUTTON( gtk_builder_get_object(builder, "cb_no_comment"));
@@ -2529,16 +2436,14 @@ static void add_pages()
     g_container_details1   = GTK_CONTAINER(    gtk_builder_get_object(builder, "container_details1"));
     g_container_details2   = GTK_CONTAINER(    gtk_builder_get_object(builder, "container_details2"));
     g_btn_add_file         = GTK_BUTTON(       gtk_builder_get_object(builder, "btn_add_file"));
-    g_lbl_reporters        = GTK_LABEL(        gtk_builder_get_object(builder, "lbl_reporters"));
     g_lbl_size             = GTK_LABEL(        gtk_builder_get_object(builder, "lbl_size"));
     g_notebook             = GTK_NOTEBOOK(     gtk_builder_get_object(builder, "notebook_edit"));
-    g_ev_search_up         = GTK_EVENT_BOX(     gtk_builder_get_object(builder, "ev_search_up"));
-    g_ev_search_down       = GTK_EVENT_BOX(   gtk_builder_get_object(builder, "ev_search_down"));
+    g_ev_search_up         = GTK_EVENT_BOX(    gtk_builder_get_object(builder, "ev_search_up"));
+    g_ev_search_down       = GTK_EVENT_BOX(    gtk_builder_get_object(builder, "ev_search_down"));
 
     gtk_widget_hide(g_widget_warnings_area);
 
-    gtk_widget_modify_font(GTK_WIDGET(g_tv_analyze_log), monospace_font);
-////    gtk_widget_modify_font(GTK_WIDGET(g_tv_report_log), monospace_font);
+    gtk_widget_modify_font(GTK_WIDGET(g_tv_event_log), monospace_font);
     fix_all_wrapped_labels(GTK_WIDGET(g_assistant));
 
     if (pages[PAGENO_REVIEW_DATA].page_widget != NULL)
@@ -2562,8 +2467,7 @@ static void add_pages()
     if (config_btn)
         g_signal_connect(G_OBJECT(config_btn), "clicked", G_CALLBACK(on_show_event_list_cb), NULL);
 
-////    g_signal_connect(g_btn_cancel_analyze, "clicked", G_CALLBACK(on_btn_cancel_event), NULL);
-    g_signal_connect(g_btn_cancel_report, "clicked", G_CALLBACK(on_btn_cancel_event), NULL);
+    g_signal_connect(g_btn_cancel_event, "clicked", G_CALLBACK(on_btn_cancel_event), NULL);
 
     g_signal_connect(g_cb_no_comment, "toggled", G_CALLBACK(on_no_comment_toggled), NULL);
 
@@ -2611,7 +2515,6 @@ static void create_details_treeview(void
     GtkCellRenderer *renderer;
     GtkTreeViewColumn *column;
 
-    //g_tv_details_renderer_checkbox =
     renderer = gtk_cell_renderer_toggle_new();
     g_tv_details_col_checkbox = column = gtk_tree_view_column_new_with_attributes(
                 _("Include"), renderer,
@@ -2658,6 +2561,40 @@ static void create_details_treeview(void
      */
 }
 
+static void init_page(page_obj_t *page, const char *name, const char *title, GtkAssistantPageType type)
+{
+    page->name = name;
+    page->title = title;
+    page->type = type;
+}
+
+static void init_pages(void)
+{
+    /* Page types:
+     * CONTENT: normal page (has all btns: [Cancel] [Last] [Back] [Fwd])
+     * INTRO: only [Fwd] button is shown
+     *   (we use these where we want to suppress [Back]-navigation)
+     * CONFIRM: has [Apply] instead of [Fwd] and emits "apply" signal
+     * PROGRESS: skipped on [Back] navigation
+     * SUMMARY: has only [Close] button
+     *
+     * Note that we suppress [Cancel] everywhere once and for all
+     * using gtk_assistant_commit at init time.
+     */
+    init_page(&pages[0], PAGE_SUMMARY            , _("Problem description")   , GTK_ASSISTANT_PAGE_CONTENT );
+    init_page(&pages[1], PAGE_EVENT_SELECTOR     , _("Select operation")      , GTK_ASSISTANT_PAGE_CONFIRM );
+    init_page(&pages[2], PAGE_EDIT_COMMENT,_("Provide additional information"), GTK_ASSISTANT_PAGE_CONTENT );
+    init_page(&pages[3], PAGE_EDIT_ELEMENTS      , _("Review the data")       , GTK_ASSISTANT_PAGE_CONTENT );
+    init_page(&pages[4], PAGE_REVIEW_DATA        , _("Confirm data to report"), GTK_ASSISTANT_PAGE_CONFIRM );
+    /* Was GTK_ASSISTANT_PAGE_PROGRESS, but we want to allow returning to it */
+    init_page(&pages[5], PAGE_EVENT_PROGRESS     , _("Processing")            , GTK_ASSISTANT_PAGE_INTRO   );
+    init_page(&pages[6], PAGE_EVENT_DONE         , _("Processing done")       , GTK_ASSISTANT_PAGE_CONTENT );
+    /* We prevent user from reaching this page, as SUMMARY can't be navigated away
+     * (must be always closed) and we don't want that
+     */
+    init_page(&pages[7], PAGE_NOT_SHOWN          , ""                         , GTK_ASSISTANT_PAGE_SUMMARY );
+}
+
 void create_assistant(void)
 {
     g_expert_mode = !g_auto_event_list;
diff -x '*.po' -d -urpN libreport.6/src/gui-wizard-gtk/wizard.glade libreport.7/src/gui-wizard-gtk/wizard.glade
--- libreport.6/src/gui-wizard-gtk/wizard.glade	2012-04-04 11:45:17.000000000 +0200
+++ libreport.7/src/gui-wizard-gtk/wizard.glade	2012-04-11 16:14:47.410977326 +0200
@@ -184,7 +184,7 @@
         <property name="border_width">10</property>
         <property name="spacing">3</property>
         <child>
-          <object class="GtkVBox" id="vb_analyzers">
+          <object class="GtkVBox" id="vb_events">
             <property name="visible">True</property>
             <property name="can_focus">False</property>
             <child>
@@ -483,7 +483,7 @@
             <property name="visible">True</property>
             <property name="can_focus">False</property>
             <property name="xalign">0</property>
-            <property name="label" translatable="yes">Click 'Apply' to start reporting</property>
+            <property name="label" translatable="yes">Click 'Apply' to start processing</property>
             <property name="justify">fill</property>
             <property name="wrap">True</property>
           </object>
@@ -497,7 +497,6 @@
           <object class="GtkTable" id="table1">
             <property name="visible">True</property>
             <property name="can_focus">False</property>
-            <property name="n_rows">2</property>
             <property name="n_columns">2</property>
             <property name="column_spacing">10</property>
             <child>
@@ -512,40 +511,11 @@
                 </attributes>
               </object>
               <packing>
-                <property name="top_attach">1</property>
-                <property name="bottom_attach">2</property>
-                <property name="x_options">GTK_FILL</property>
-                <property name="y_options"></property>
-              </packing>
-            </child>
-            <child>
-              <object class="GtkLabel" id="label8">
-                <property name="visible">True</property>
-                <property name="can_focus">False</property>
-                <property name="xalign">0</property>
-                <property name="label" translatable="yes">Reporter(s):</property>
-                <property name="justify">right</property>
-                <attributes>
-                  <attribute name="weight" value="bold"/>
-                </attributes>
-              </object>
-              <packing>
                 <property name="x_options">GTK_FILL</property>
                 <property name="y_options"></property>
               </packing>
             </child>
             <child>
-              <object class="GtkLabel" id="lbl_reporters">
-                <property name="visible">True</property>
-                <property name="can_focus">False</property>
-                <property name="xalign">0</property>
-              </object>
-              <packing>
-                <property name="left_attach">1</property>
-                <property name="right_attach">2</property>
-              </packing>
-            </child>
-            <child>
               <object class="GtkLabel" id="lbl_size">
                 <property name="visible">True</property>
                 <property name="can_focus">False</property>
@@ -554,8 +524,6 @@
               <packing>
                 <property name="left_attach">1</property>
                 <property name="right_attach">2</property>
-                <property name="top_attach">1</property>
-                <property name="bottom_attach">2</property>
               </packing>
             </child>
           </object>
@@ -638,11 +606,11 @@
         <property name="border_width">10</property>
         <property name="spacing">3</property>
         <child>
-          <object class="GtkLabel" id="lbl_report_log">
+          <object class="GtkLabel" id="lbl_event_log">
             <property name="visible">True</property>
             <property name="can_focus">False</property>
             <property name="xalign">0</property>
-            <property name="label" translatable="yes">Reporting did not start yet</property>
+            <property name="label" translatable="yes">Processing did not start yet</property>
             <property name="use_markup">True</property>
             <property name="justify">fill</property>
             <property name="single_line_mode">True</property>
@@ -655,7 +623,7 @@
           </packing>
         </child>
         <child>
-          <object class="GtkProgressBar" id="pb_report">
+          <object class="GtkProgressBar" id="pb_event">
             <property name="visible">True</property>
             <property name="can_focus">False</property>
           </object>
@@ -675,7 +643,7 @@
                 <property name="can_focus">True</property>
                 <property name="shadow_type">out</property>
                 <child>
-                  <object class="GtkTextView" id="tv_report_log">
+                  <object class="GtkTextView" id="tv_event_log">
                     <property name="visible">True</property>
                     <property name="can_focus">True</property>
                     <property name="editable">False</property>
@@ -685,7 +653,7 @@
               </object>
             </child>
             <child type="label">
-              <object class="GtkLabel" id="lbl_report_show_log">
+              <object class="GtkLabel" id="lbl_show_log">
                 <property name="visible">True</property>
                 <property name="can_focus">False</property>
                 <property name="label" translatable="yes">Show log</property>
@@ -703,7 +671,7 @@
             <property name="visible">True</property>
             <property name="can_focus">False</property>
             <child>
-              <object class="GtkButton" id="btn_cancel_report">
+              <object class="GtkButton" id="btn_cancel_event">
                 <property name="label">gtk-stop</property>
                 <property name="visible">True</property>
                 <property name="can_focus">True</property>