--- mkinitrd.8.old	2007-04-25 00:30:34.000000000 -0500
+++ mkinitrd.8	2007-04-25 04:14:08.000000000 -0500
@@ -3,11 +3,14 @@
 mkinitrd \- creates initial ramdisk images for preloading modules
 .SH SYNOPSIS
 \fBmkinitrd\fR [--version] [-v] [-f] 
-         [--preload=\fImodule\fR] [--omit-scsi-modules] 
+         [--preload=\fImodule\fR] 
+         [--crypto-module=(ALL|DEFAULT|\fImodule\fR)]
+         [--crypto-dev=\fIdevice\fR[@\fIkey-device\fR,\fIkey-device-fstype\fR][:\fIkey\fR]]
+         [--omit-crypto] [--omit-scsi-modules] 
          [--omit-raid-modules] [--omit-lvm-modules] 
          [--with=\fImodule\fR] [--image-version]
-         [--fstab=\fIfstab\fR] [--nocompress]
-         [--builtin=\fImodule\fR] [--nopivot]
+         [--fstab=\fIfstab\fR] [--nocompress] [--nopivot] 
+         [--builtin=\fImodule\fR] [--config=\fIfile\fR] [--noconfig]
          \fIimage\fR \fIkernel-version\fR
 
 .SH DESCRIPTION
@@ -36,6 +39,61 @@
 exist. This option may be used multiple times.
 
 .TP
+\fB-\-config=\fR\fIfile\fR
+Specify an alternate \fBmkinitrd.conf\fR file to load. 
+
+.TP
+\fB-\-crypto-module=\fR\fI(module|ALL|DEFAULT)\fR
+Specify a crypto \fImodule\fR to preload. 
+
+\fB--crypto-module=DEFAULT\fR will load aes cbc and sha256 crypto modules
+\fB--crypto-module=ALL\fR will load all available crypto modules. 
+
+This option may be used multiple times.
+
+.TP
+\fB-\-crypto-dev=\fR\fIdevice\fR[@\fIkey-device\fR,\fIkey-device-fstype\fR][:\fIkey\fR]]
+Specify the encrypted device to decrypt prior to mounting. Password 
+decryption is supported by default.  <key-device> may use any mount identifier
+such as LABEL= or UUID= in addition to the physical device identifier. When
+using <key-device>, <key-device-fstype> \fImust\fR be specified.
+<device> must not be listed in \fB/etc/crypttab\fR because it will
+decrypted before init begins.  This option may be used multiple times.
+
+-\-crypto-dev=\fIdevice\fR
+<dev> is the device to decrypt.
+
+-\-crypto-dev=\fIdevice\fR:\fI/path/to/key\fR
+\fIdevice\fR is the device to decrypt.  The file located at \fI/path/to/key\fR will
+be embedded in the initrd.img file and used to decrypt \fIdevice\fR.
+
+-\-crypto-dev=\fIdevice\fR@\fIkey-device\fR,\fIkey-device-fstype\fR:\fI/path/to/key\fR
+\fIdevice\fR is the device to decrypt.  \fIkey-device\fR is the device containing the key
+file used to decrypt \fIdevice\fR. \fIkey-device-fstype\fR is the filesystem type for \fIkey-device\fR: 
+eg. ext2. \fI/path/to/key\fR is the key file \fIrelative\fR to the root of
+<dev2>.
+
+Examples
+
+-\-crypto-dev=/dev/hdb1 would try to decrypt /dev/hdb1 using a password
+entered by the user during the boot process.
+
+-\-crypto-dev=/dev/hdb1:/media/flash/my.key would embed /media/flash/my.key
+in the initrd image file to and use that key to decrypt /dev/hdb1.
+
+-\-crypto-dev=/dev/hdb1@LABEL=flash,ext2:/my.key would try to decrypt 
+/dev/hdb1 using the key, "/my.key", located on an unencrypted ext2 
+filesystem with the label, "flash".  During boot, it will mount
+the the LABEL=flash device read-only, and use the key on the disk to decrypt
+the specified device, /dev/hdb1.  Then the LABEL=flash device would be 
+unmounted before continuing. \fIThe key device must be present during 
+system boot.\fR
+
+.TP
+\fB-\-version\fR
+Prints the version of \fBmkinitrd\fR that's being used and then exits.
+
+.TP
 \fB-f\fR
 Allows \fBmkinitrd\fR to overwrite an existing image file.
 
@@ -50,6 +108,11 @@
 is created.
 
 .TP
+\fB-\-noconfig\fR
+Prohibit the reading the \fB/etc/mkinitrd.conf\fR file for persistent
+options.
+
+.TP
 \fB-\-nocompress
 Normally the created initrd image is compressed with \fBgzip\fR. If this
 option is specified, the compression is skipped.
@@ -63,6 +126,11 @@
 option is not recommended, and will be removed in future versions.
 
 .TP
+\fB-\-omit-crypto
+Do not load any cryptographic modules, even if specified on \fBmkinitrd\fR's
+command line.
+
+.TP
 \fB-\-omit-lvm-modules 
 Do not load any lvm modules, even if /etc/fstab expects them.
 
@@ -114,7 +182,18 @@
 Specifies SCSI modules to be loaded and module options to be used.
 \fI(only used on kernels < 2.6)\fR
 
+.TP 20
+\fI/etc/mkinitrd.conf\fR
+Specifies persistent options to be used with mkinitrd.
+
+Lines beginning with # are considered comments
+Options can be on one or more lines.
+
+\fINOTE:\fR -\-crypt-dev, -\-crypt-cipher, and -\-with-usb options may 
+need to be preserved\fR
+
 .PD
 .SH "SEE ALSO"
+.BR cryptsetup (8),
 .BR fstab (5),
 .BR insmod (1)