From 216a049fe89e17bc8a3edadaea5f8cab30dd313f Mon Sep 17 00:00:00 2001
From: "H.J. Lu" <hjl.tools@gmail.com>
Date: Wed, 25 Mar 2015 08:16:56 -0700
Subject: [PATCH 6/7] Add run-strip-test9.sh

	* Makefile.am (TESTS): Add run-strip-test9.sh.
	(EXTRA_DIST): Likewise.
	* run-strip-test9.sh: New file.
	* testfile-x32-s.bz2: Likewise.

Signed-off-by: H.J. Lu <hjl.tools@gmail.com>
---
 tests/Makefile.am        |   2 ++
 tests/run-strip-test9.sh |  21 +++++++++++++++++++++
 tests/testfile-x32-s.bz2 | Bin 0 -> 1687 bytes
 3 files changed, 23 insertions(+)
 create mode 100755 tests/run-strip-test9.sh
 create mode 100755 tests/testfile-x32-s.bz2

diff --git a/tests/Makefile.am b/tests/Makefile.am
index ee11e9c..a73623d 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -76,6 +76,7 @@ TESTS = run-arextract.sh run-arsymtest.sh newfile test-nlist \
 	newscn run-strip-test.sh run-strip-test2.sh \
 	run-strip-test3.sh run-strip-test4.sh run-strip-test5.sh \
 	run-strip-test6.sh run-strip-test7.sh run-strip-test8.sh \
+	run-strip-test9.sh \
 	run-strip-groups.sh run-strip-reloc.sh \
 	run-unstrip-test.sh run-unstrip-test2.sh run-unstrip-M.sh \
 	run-ecp-test.sh run-ecp-test2.sh run-alldts.sh \
@@ -155,6 +156,7 @@ EXTRA_DIST = run-arextract.sh run-arsymtest.sh \
 	     run-line2addr.sh run-elflint-test.sh testfile14.bz2 \
 	     run-strip-test4.sh run-strip-test5.sh run-strip-test6.sh \
 	     run-strip-test7.sh run-strip-test8.sh run-strip-groups.sh \
+	     run-strip-test9.sh \
 	     run-strip-reloc.sh hello_i386.ko.bz2 hello_x86_64.ko.bz2 \
 	     hello_ppc64.ko.bz2 hello_s390.ko.bz2 hello_aarch64.ko.bz2 \
 	     run-unstrip-test.sh run-unstrip-test2.sh run-unstrip-M.sh\
diff --git a/tests/run-strip-test9.sh b/tests/run-strip-test9.sh
new file mode 100755
index 0000000..0c6fae2
--- /dev/null
+++ b/tests/run-strip-test9.sh
@@ -0,0 +1,21 @@
+#! /bin/sh
+# Copyright (C) H.J. Lu <hjl.tools@gmail.com>, 2015.
+# This file is part of elfutils.
+#
+# This file is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+#
+# elfutils is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+
+original=testfile-x32
+stripped=testfile-x32-s
+. $srcdir/run-strip-test.sh
diff --git a/tests/testfile-x32-s.bz2 b/tests/testfile-x32-s.bz2
new file mode 100755
index 0000000000000000000000000000000000000000..a909d33db28b23fc5506d04067dc23dc95939dac
GIT binary patch
-- 
1.9.3